
Name:		algobox
Version:	0.7.2
Release:	%mkrel 1
Summary:	Algorithmic software
Summary(fr_FR):	Logiciel d'algorithmique
License:	GPLv2
Group:		Education
Url:		http://www.xm1math.net/texmaker/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	qtwebkit-devel
BuildRequires:	qt4-devel >= 4.6.1

%description
Algobox is an initiation software to algorithmic to high school level.

%description -l fr_FR
Algobox est un logiciel d'initiation à l'algorithmique au niveau lycée.

%prep
%setup -q -n %{name}-%{version}

%build
export QTDIR=/usr/lib/qt4
PATH=$QTDIR/bin:$PATH
LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
export QTDIR PATH LD_LIBRARY_PATH
qmake -unix algobox.pro
%make

%install
rm -rf %{buildroot}
make INSTALL_ROOT=$RPM_BUILD_ROOT install

install -Dm 0644 ./utilities/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ./utilities/AUTHORS ./utilities/COPYING ./utilities/CHANGELOG.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.png


%changelog

* Sun May 26 2013 david.david (MLO Team) <david.david> 0.7.2-1.mga2
+ Build package for Mageia 2 (Core)
- imported package algobox
- version: 0.7.2
